@import url("/style.css");

p {
  font-size: 16px;
}

/* * FIRST SECTION * */

.join__delivery--first--section {
  margin-top: 84px;
  padding: 4rem 0;
}

.nav > .container--section {
  width: 100%;
  padding: 0rem 2rem;
}
@media (max-width: 1486px) {
  .container--section {
    width: 100%;
  }
}
@media (max-width: 1069px) {
  .container--section {
    width: 97% !important;
    padding: 0 1rem;
  }
}

/* ? FIRST SECTION FIRST ROW ? */

.join__delivery__section1--row1 #first__col {
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 1rem 0;
}
.join__delivery__section1--row1 #first__col h1 {
  color: var(--black--color);
  font-weight: 600;
}
.join__delivery__section1--row1 #first__col h5 {
  margin: 1.5rem 0;
  color: var(--gray--color);
  font-size: 1.5rem;
  letter-spacing: 1.5px;
}

.join__delivery__section1--row1 #first__col p {
  width: 90%;
}

.join__delivery__section1--row1 #second__col {
  position: relative;
}
.join__delivery__section1--row1 #second__col #box {
  position: absolute;
  top: 50%;
  right: 0;
  transform: translate(0%, -50%);
  width: 80%;
  height: 120%;
  background: #ff7b00;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 32px;
  padding-top: 22px;
  border-radius: 6px;
}

.join__delivery__section1--row1 #second__col #box.active {
  display: none;
}

.join__delivery__section1--row1 #second__col #box p,
.join__delivery__section1--row1 #second__col #box h4 {
  color: white;
}
.join__delivery__section1--row1 #second__col #box h4 {
  margin-bottom: 1rem;
}

.join__delivery__section1--row1 #second__col #box p {
  font-size: 16px;
}
.join__delivery__section1--row1 #second__col #box #title__p {
  margin-top: 0.8rem;
}
.join__delivery__section1--row1 #second__col #box #button__div {
  margin-top: 1.5rem;
}
.join__delivery__section1--row1 #second__col #box button {
  border: 2px solid white;
  padding: 0.5rem 1rem;
  transition: all 0.5s ease;
  border-radius: 5px;
  font-weight: 600;
  font-size: 18px;
  background: transparent;
}
.join__delivery__section1--row1 #second__col #box button:hover {
  background: var(--primary--color);
}
/* * SECOND SECTION * */

.join__delivery--second--section {
  padding: 4rem 0;
  background: #f8f8f7;
}

/* ? SECOND SECTION FIRST ROW ? */

.join__delivery__section2--row1 hr {
  background: var(--primary--color);
  height: 4px;
  width: 6%;
  opacity: 1;
}
.join__delivery__section2--row1 h4 {
  color: var(--blue--text--color);
  font-size: 22px;
  margin-bottom: 1rem;
}
.join__delivery__section2--row1 h6 {
  font-size: 15px;
}
.join__delivery__section2--row1 p {
  margin: 1rem 0;
  color: var(--gray--color);
}

.join__delivery__section2--row1 #bold__p {
  font-size: 14px;
}

/* * THIRD SECTION * */

.join__delivery--third--section {
  padding: 4rem 0;
  background: #f8f8f7;
}

.join__delivery--third--section #title {
  margin-bottom: 6rem;
}
/* ? THIRD SECTION FIRST ROW ? */

.join__delivery__section3--row1 .col-md {
  position: relative;
}
.join__delivery__section3--row1 .col-md::before {
  border: 2px solid #f14c00;
  border-radius: 50%;
  color: #f14c00;
  font-family: "OpenSans";
  font-size: 0.875rem;
  font-weight: 700;
  line-height: 1.1;
  padding: 6px 10px;
  position: absolute;
  top: -25%;
}
.join__delivery__section3--row1 #first__col::before {
  content: "1";
}
.join__delivery__section3--row1 #second__col::before {
  content: "2";
}
.join__delivery__section3--row1 #third__col::before {
  content: "3";
}
.join__delivery__section3--row1 #fourth__col::before {
  content: "4";
}

.join__delivery__section3--row1 ul li {
  list-style-type: disc;
  margin-left: 1rem;
  margin-bottom: 0.5rem;
}

.join__delivery__section3--row1 p {
  font-size: 15px;
}

.join__delivery__section3--row1 #col__under--title {
  margin-bottom: 0.7rem;
}

/* POPUP */
.popup-overlay.active {
  position: fixed;
  bottom: 0;
  top: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  z-index: 1000;
  background-color: rgba(0, 0, 0, 0.5);
  display: block;
}
.popup-overlay {
  display: none;
}

.overlay.active {
  position: fixed;
  bottom: 0;
  top: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  z-index: 998;
  background-color: rgba(0, 0, 0, 0.5);
  display: block;
}
.overlay {
  display: none;
}
.popup {
  display: none;
  pointer-events: none;
}
.popup.active {
  display: block;
  pointer-events: all;
  z-index: 9999;
  position: fixed;
  width: 50%;
  height: 92%;
  box-shadow: 0px 0px 10px rgba(85, 85, 85, 0.438);
  background: #fff;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  overflow-y: scroll;
}

.popup::-webkit-scrollbar {
  width: 8px;
  font-family: sans-serif;
}

.popup::-webkit-scrollbar-thumb:hover {
  background: #999999;
}
.popup::-webkit-scrollbar-thumb {
  background: #979797bd;
  transition: all 0.5s ease;
  border-radius: 50rem;
}
.popup .form label {
  left: 1.5%;
}
.popup .iks {
  position: absolute;
  right: 2%;
  display: block;
  top: 2%;
  pointer-events: all;
  cursor: pointer;
}

.popup .line {
  width: 25px;
  height: 3px;
  background: var(--black--color);
  margin: 5px;
  transition: all 0.3s ease;
}
.popup .line1 {
  transform: rotate(-45deg) translate(0px, 13px);
}
.popup .line2 {
  transform: rotate(45deg) translate(8px, -6px);
}
.popup #title {
  text-align: center;
  margin: 2rem 0;
}

.popup .form {
  margin-bottom: 1.5rem;
}
.popup .form input {
  padding-left: 0.9rem;
}
.popup .form__card {
  right: 0;
  background: transparent;
  box-shadow: none;
  display: flex;
  justify-content: center;
}
.popup .form__card #first__row {
  display: flex;
  width: 100%;
}
.popup .form__card #first__row .form {
  justify-content: flex-end;
}
.popup .form__card #first__row .form:first-child {
  justify-content: flex-start !important;
}
.popup .form__card #first__row .first-name-label,
.popup .form__card #first__row .car-model-label {
  margin-left: 1.25%;
}
.popup .form__card #first__row .first-name-input,
.popup .form__card #first__row .car-model-input,
.popup .form__card #first__row .phone-number {
  width: 98%;
}
.popup .form__card #first__row .second-name-input,
.popup .form__card #first__row .car-year-input,
.popup .form__card #first__row .birth-date {
  width: 98%;
}
.popup .form__card #first__row .birth-date {
  padding-right: 0.5rem;
}
.popup .form__card #first__row .second-name-label,
.popup .form__card #first__row .car-year-label,
.popup .form__card #first__row .date-label {
  margin-left: 3.5%;
}

.form input:focus + .label span,
.form input:valid + .label span {
  transform: translateY(-160%) translateX(0rem) !important;
}

.popup .form .date-label span {
  transform: translateY(-160%) translateX(0rem) !important;
  font-size: 12px;
  padding: 0 0.3rem;
  background: #fff;
}

.popup .form .phone-label {
  left: 2%;
}

.thank__div--box {
  display: none;
}

.thank__div--box.active {
  display: block;
  position: absolute;
  top: 50%;
  right: 0;
  transform: translate(0%, -50%);
  width: 80%;
  height: 120%;
  background: #1a1e75;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 32px;
  padding-top: 22px;
  border-radius: 6px;
  color: #fff;
}
.loader {
  border: 16px solid #f3f3f3; /* Light grey */
  border-top: 16px solid #3498db; /* Blue */
  border-radius: 50%;
  width: 120px;
  height: 120px;
  animation: spin 2s linear infinite;
  position: absolute;
  left: 50%;
  top: 50%;
  display: none;
}
.loader.active {
  display: block;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@media (max-width: 1172px) {
  .join__delivery__section1--row1 #second__col #box {
    height: 100%;
  }
}
@media (max-width: 1070px) {
  .popup.active {
    width: 80%;
  }
}
@media (max-width: 1094px) {
  .join__delivery__section3--row1 .col-md::before {
    top: -20%;
  }
}
@media (max-width: 805px) {
  .join__delivery__section1--row1 #second__col #box {
    width: 100%;
  }
}
@media (max-width: 871px) {
  .line2.active {
    opacity: 1 !important;
    right: 8px;
    position: relative;
    bottom: 2px;
  }
}
@media (max-width: 767px) {
  .join__delivery--first--section {
    margin-top: 50px;
  }
  .join__delivery__section1--row1 #second__col #box {
    top: 15%;
    transform: translate(0);
    left: 0;
    position: relative;
    margin: auto;
  }
  .join__delivery__section1--row1 #first__col {
    align-items: center;
  }
  .join__delivery__section1--row1 #first__col p,
  .join__delivery__section1--row1 #first__col h5,
  .join__delivery__section1--row1 #first__col h1 {
    width: 100%;
    text-align: center;
  }
  .join__delivery--third--section {
    padding: 2rem 0;
  }

  .join__delivery__section3--row1 .col-md {
    margin-top: 4rem;
    padding-bottom: 2rem;
    border-bottom: 1px solid black;
  }

  .join__delivery__section3--row1 .col-md::before {
    top: -50%;
  }
  .join__delivery__section3--row1 #first__col::before {
    top: -22%;
  }
  .join__delivery__section3--row1 #second__col::before {
    top: -40%;
  }
  .join__delivery--third--section #title {
    margin-bottom: 0rem;
  }
  footer {
    border-top: 0;
  }
}
@media (max-width: 425px) {
  .join__delivery__section3--row1 .col-md::before {
    top: -40%;
  }
  .join__delivery__section3--row1 #first__col::before {
    top: -16%;
  }
  .join__delivery__section3--row1 #second__col::before {
    top: -31%;
  }
  .join__delivery__section1--row1 #second__col #box {
    width: 100%;
  }
}
@media (max-width: 375px) {
  .join__delivery__section3--row1 .col-md::before {
    top: -35%;
  }

  .join__delivery__section3--row1 #second__col::before {
    top: -25%;
  }
  .join__delivery__section1--row1 #second__col #box {
    text-align: center;
  }
}
